from django.shortcuts import render

from spread_dashboard.project import bam
import spread_core.mqtt as mqtt


def index(request, profile_id=None):
    return render(
        request,
        'local/hardware/lom/lom_profiles.html',
        context=dict(
            broker=bam.broker_auth(),
            topic=str(mqtt.local.LomProfiles.broadcast(bam.project.id)),
            current=profile_id
            # project=str(mqtt.project.TopicProject.engineries(bam.project.id)),
            # set=str(mqtt.spread.topic.Set(
            #     mqtt.spread.address.ManagerAddress(
            #         bam.project.id, manager.Lom.__name__, '+', manager.Lom.Profiles))),
            # state=str(mqtt.spread.topic.State(
            #     mqtt.spread.address.EngineryAddress(
            #         bam.project.id, la.LightingArea.__name__, '+', la.Buttons))),
        )
    )
