def coroutine(func):
    def inner(*args, **kwargs):
        g = func(*args, **kwargs)
        g.send(None)
        return g
    return inner

def subgen():
    while True:
        try:
            message = yield
        except:
            print("Stop")
            break
        else:
            print(message)

@coroutine
def delegator(g):
    m = yield from g
    print(m)


sg = subgen()
g = delegator(sg)
# g.send(1)
# g.throw(StopIteration)
